summaryrefslogtreecommitdiffstats
path: root/source/a/eudev/eudev.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/a/eudev/eudev.SlackBuild')
-rwxr-xr-xsource/a/eudev/eudev.SlackBuild27
1 files changed, 21 insertions, 6 deletions
diff --git a/source/a/eudev/eudev.SlackBuild b/source/a/eudev/eudev.SlackBuild
index c82107f45..28a38e305 100755
--- a/source/a/eudev/eudev.SlackBuild
+++ b/source/a/eudev/eudev.SlackBuild
@@ -1,6 +1,6 @@
-#!/bin/sh
+#!/bin/bash
-# Copyright 2006, 2008, 2009, 2010, 2011, 2012, 2013, 2015 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2006, 2008, 2009, 2010, 2011, 2012, 2013, 2015, 2017, 2018 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -20,8 +20,11 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
+
+PKGNAM=eudev
VERSION=${VERSION:-$(echo eudev-*.tar.* | cut -d - -f 2 | rev | cut -f 3- -d . | rev)}
-BUILD=${BUILD:-8}
+BUILD=${BUILD:-3}
NUMJOBS=${NUMJOBS:-" -j7 "}
@@ -35,13 +38,20 @@ if [ -z "$ARCH" ]; then
esac
fi
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
if [ "$ARCH" = "x86_64" ]; then
LIBDIRSUFFIX="64"
else
LIBDIRSUFFIX=""
fi
-CWD=$(pwd)
TMP=${TMP:-/tmp}
PKG=$TMP/package-eudev
@@ -61,8 +71,10 @@ find . \
# Patch 60-cdrom_id.rules to create a full set of symlinks:
zcat $CWD/60-cdrom_id.rules.diff.gz | patch -p1 --verbose || exit 1
-zcat $CWD/0001-Remove-obsolete-udev_root-references.patch.gz | patch -p1 --verbose || exit 1
-zcat $CWD/0002-src-udev-udevd.c-add-eudev-startup-message-for-kmsg.patch.gz | patch -p1 --verbose || exit 1
+# Ignore bind/unbind events. This was causing various (mostly rare) bugs, but
+# was also breaking MTP support in KDE.
+# See: https://bugs.kde.org/show_bug.cgi?id=387454
+zcat $CWD/eudev.ignore_bind_unbind_events.diff.gz | patch -p1 --verbose || exit 1
./configure \
--prefix=/usr \
@@ -88,6 +100,9 @@ zcat $CWD/0002-src-udev-udevd.c-add-eudev-startup-message-for-kmsg.patch.gz | pa
make $NUMJOBS || make || exit 1
make install DESTDIR=$PKG || exit 1
+# Don't ship .la files:
+rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
+
find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true